%define anolis_release 4
%bcond_without tests
%global pypi_name dateutil

Name:           python-%{pypi_name}
Version:        2.8.2
Release:        %{anolis_release}%{?dist}
Epoch:          1
Summary:        Powerful extensions to the standard datetime module
License:        BSD or (BSD and ASL 2.0)
URL:            https://github.com/dateutil/dateutil
Source:         https://files.pythonhosted.org/packages/4c/c4/13b4776ea2d76c115c1d1b84579f3764ee6d57204f6be27119f13a61d0a9/python-%{pypi_name}-%{version}.tar.gz

Patch1:         %{url}/commit/2bdd63158b7f981fc6d70a869680451bdfd8d848.patch

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
The dateutil module provides powerful extensions to the standard datetime\
module available in Python.

%package -n python3-%{pypi_name}
Summary:        %summary
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-freezegun python3-hypothesis python3-pytest python3-six
%endif
Requires:       tzdata
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The dateutil module provides powerful extensions to the standard datetime\
module available in Python.

%package doc
Summary: API documentation for python-%{pypi_name}

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -N
pushd %{pypi_name}/test
%patch1 -p2
popd
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
make -C docs html

%install
%pyproject_install

%if %{with tests}
%check
%{__python3} -m pytest -W ignore::pytest.PytestUnknownMarkWarning
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc NEWS README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/python_%{pypi_name}-%{version}.dist-info/

%files doc
%license LICENSE
%doc docs/_build/html

%changelog
* Sat Apr 08 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 2.8.2-4
- Optimize the spec file

* Thu Mar 30 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.8.2-3
- Del Specific Fields

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.8.2-2
- optimise dependency

* Thu Mar  10 2022 zl01087097 <zl01087097@alibaba-inc.com> - 2.8.2-1
- upstream version 2.8.2
